@ECHO OFF

REM Note: 
REM This Tool requires Update Tool V 6.0.1 or later


REM ################################################################################
REM Configuration Section

REM If target device is a Colibri T20 and target image is V1.3 
REM or oler set this to 1, otherwise set to 0
set IS_T20_BEFORE_1_4=0

REM Path to backup location (realtive to Update Tool)
set BACKUPFOLDER=..\Backup

REM Name of the backup cfg file (FlashBackup.cfg by default)
set CONFIGFILE=FlashBackup.cfg

REM Path to UpdateTool.exe (relatvie to this batch file) 
set PATH_UPDATETOOL=..\UpdateTool


REM Configuration Section end
REM ################################################################################


ECHO Toradex Production Programming
ECHO ******************************

IF %IS_T20_BEFORE_1_4% == 0 "%PATH_UPDATETOOL%\updatetool.exe" /u %BACKUPFOLDER%\%CONFIGFILE%
IF %IS_T20_BEFORE_1_4% == 1 "%PATH_UPDATETOOL%\updatetool.exe" /u %BACKUPFOLDER%\%CONFIGFILE% /nandecc rs4

ECHO Production programming done.
ECHO *******************************

